org.apache.hc.core5.testing.framework

## Class ClassicTestClientAdapter

- java.lang.Object
- - org.apache.hc.core5.testing.framework.ClientPOJOAdapter
  - - org.apache.hc.core5.testing.framework.ClassicTestClientAdapter

-     public class ClassicTestClientAdapter
      extends ClientPOJOAdapter

- - ### Field Summary

    - ### Fields inherited from class org.apache.hc.core5.testing.framework.ClientPOJOAdapter

      `BODY, CONTENT_TYPE, HEADERS, METHOD, NAME, PATH, PROTOCOL_VERSION, QUERY, REQUEST, RESPONSE, STATUS, TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicTestClientAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `execute(String defaultURI, Map<String,Object> request)` Execute an HTTP request.
    `String` | `getClientName()` Name of the HTTP Client that this adapter uses.

    - ### Methods inherited from class org.apache.hc.core5.testing.framework.ClientPOJOAdapter

      `assertRequestSupported, checkRequestSupport, modifyRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicTestClientAdapter

          public ClassicTestClientAdapter()

  - ### Method Detail

    - #### execute

          public Map<String,Object> execute(String defaultURI,
                                            Map<String,Object> request)
                                     throws Exception

      Execute an HTTP request.
      Specified by:
        `execute` in class `ClientPOJOAdapter`
      Parameters:
        `defaultURI` - the URI used by default. The path in the request is usually appended to it.
        `request` - the request as specified above.
      Returns:
        the response to the request as specified above.
      Throws:
        `Exception` - in case of a problem

    - #### getClientName

          public String getClientName()

      Name of the HTTP Client that this adapter uses.
      Specified by:
        `getClientName` in class `ClientPOJOAdapter`
      Returns:
        name of the HTTP Client.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.